2019-12-07 07:29 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005728Spring engineGeneralpublic2017-09-24 19:09
ReporterDeadnight Warrior 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005728: Factories that have CanBeAssisted=false can only be built by one construction unit at a time (Spring 104RC2)
DescriptionFactories that have CanBeAssisted=false can only be built by one construction unit at a time. Not only that, but the one unit that started the construction is the only one that can build it. If you move that unit away and try it with another builder, it will guard, but not build.

If the initial builder unit dies during the construction, then all other builders can join in and collaborativly construct the factory.
Steps To ReproduceSelect multiple construction units and order them to build a factory that has "canbeassisted = false" in its unitdef.
Additional InformationCanBeAssisted=false should only apply to the units made by factory, so that you can't use builders to boost the factory production.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018292

Kloot (developer)

Fix 062c88a203098b74c433944b621e20a6c3fce2d1 committed to develop branch: fix 0005728, repo: spring changeset id: 8633
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-08-24 15:19 Deadnight Warrior New Issue
2017-08-24 15:19 Deadnight Warrior Tag Attached: 103.0.1-1226-g0f10be0
2017-08-25 16:17 Kloot Assigned To => Kloot
2017-08-25 16:17 Kloot Status new => assigned
2017-08-28 23:13 Kloot Changeset attached => spring develop 062c88a2
2017-08-28 23:13 Kloot Note Added: 0018292
2017-08-28 23:13 Kloot Status assigned => resolved
2017-08-28 23:13 Kloot Resolution open => fixed
2017-09-24 19:09 Kloot Tag Detached: 103.0.1-1226-g0f10be0
+Issue History